%{!?_httpd_mmn: %global _httpd_mmn %(cat %{_includedir}/httpd/.mmn 2>/dev/null || echo 0-0)}

%global modsuffix authz_unixgroup
%global conffile1 %{modsuffix}.conf
%global conffile2 10-%{modsuffix}.conf

Summary: An Apache module used for authentication
Name: mod_%{modsuffix}
Version: 1.2.0
Release: 1%{?dist}
License: Apache-1.0
URL: https://github.com/phokz/mod-auth-external/
Packager: Teddysun <i@teddysun.com>
Source: https://github.com/phokz/mod-auth-external/archive/%{name}-%{version}.tar.gz
Source1: %{conffile1}
Source2: %{conffile2}
Requires: pwauth, httpd-mmn = %{_httpd_mmn}
BuildRequires: gcc
BuildRequires: httpd-devel
BuildRequires: libbsd-devel

%description
Mod_Authz_Unixgroup is a unix group access control modules for Apache. If
you are having users authenticate with real Unix login ID over the net, using
something like my mod_authnz_external/pwauth combination, and you want to do
access control based on unix group membership, then mod_authz_unixgroup is
exactly what you need.


%prep
%setup -q -n mod-auth-external-%{name}-%{version}

%build
%{_httpd_apxs} -c -I . %{name}.c


%install
mkdir -p %{buildroot}%{_httpd_moddir} %{buildroot}%{_httpd_confdir} %{buildroot}%{_httpd_modconfdir}
apxs -i -S LIBEXECDIR=%{buildroot}%{_httpd_moddir} -n %{name} %{name}.la
install -p -m 644 -t %{buildroot}%{_httpd_confdir}/ %{SOURCE1}
%if "%{_httpd_modconfdir}" != "%{_httpd_confdir}"
install -p -m 644 -t %{buildroot}%{_httpd_modconfdir}/ %{SOURCE2}
%endif


%files
%{_httpd_moddir}/%{name}.so
%config(noreplace) %lang(en) %{_httpd_confdir}/%{conffile1}
%if "%{_httpd_modconfdir}" != "%{_httpd_confdir}"
%config(noreplace) %lang(en) %{_httpd_modconfdir}/%{conffile2}
%endif
%doc CONTRIBUTORS CHANGES README
%license LICENSE


%changelog
* Mon Nov 25 2024 Teddysun <i@teddysun.com> - 1.2.0-1
- Initial RPM package version 1.2.0
